{"openapi":"3.0.3","info":{"title":"3PP APIs Documentation for OM-Botswana","version":"3.1.1","description":"## Overview\n\nLendTech 3PP API provides a secure, powerful and robust interface for integration of ACS products with third-party applications. The API is built on the RESTful framework to provide scalability, flexibility and portability as anticipated by different API clients. <br/>\n\n## Disclaimer \nThis document is written in yaml and requires a yaml reader. See for an intergration with your favourite editor or use [Swagger editor](https://editor.swagger.io/)\n\n## Status Codes\n| Status code           | Interpretation  |\n| ------------- |:-------------:|\n| 1002 | internal error |\n| 3014 | authentication credentials not passed |\n| 3015 | forbiden: client doesn't have permission to access the resource |\n| 3019 | Invalid aunthentication key provided |\n| 3018 | Service unavailable |\n| 3000 | duplicated ID |\n| 3010 | invalid format | \n| 3011 | missing parameters  |\n| 3004 | not eligible |\n| 3003 | subsciber has existing loan balance | \n| 3006 | subscriber does not have existing loan  |\n| 3094 | not qualified due to age/time on the network  |\n| 3005 | subsciber has an existing queued request |\n| 3020 | Source IP not whitelisted |\n| 3021 | Maximum lendable amount reached |\n| 3012 | ID does not exist |\n| 11 | subsciber listed on do not disturb database |\n"},"servers":[{"url":"http://192.168.102.120:7891","description":"Internal test environment"}],"paths":{"/api/v1/auth/authenticate/":{"post":{"summary":"Authentication API.","description":"This API authenticates the user and returns access details for subsequent API calls","operationId":"authenticateUser","parameters":[{"name":"Content-Type","in":"header","description":"Content Type","required":true,"schema":{"type":"string","enum":["application/x-www-form-urlencoded"]}},{"name":"client_id","in":"header","description":"A valid client ID for the user","required":true,"schema":{"type":"string","example":"admin-cli"}},{"name":"grant_type","in":"header","description":"Grant type","required":true,"schema":{"type":"string","enum":["password"]}},{"name":"username","in":"header","description":"Provided username","required":true,"schema":{"type":"string","example":"cp@dtone.cpm"}},{"name":"password","in":"header","description":"User password","required":true,"schema":{"type":"string","example":"******"}}],"responses":{"200":{"description":"Request successful","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Success":{"description":"A successful request","value":{"access_token":"<access token>","expires_in":300,"issued_at":"2022-02-28T16:28:00:55","token_type":"bearer","session_state":"ba9a09ff-122b-4bdd-b585-886e407a1299","transaction_status":"approved","status_code":0}}}}}},"500":{"description":"Server error responses","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Internal Error":{"description":"Internal error","value":{"status_code":1002,"status_message":"internal_error"}},"Service Unavailable":{"value":{"status_message":"Service unavailable","status_code":3018}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Authentication Token":{"value":{"status_message":"Authentication credentials were not provided.","status_code":3014}},"Unauthorized":{"description":"Source IP has not been authorized to use this service","value":{"status_code":3020,"status_message":"Unathorised"}}}}}}}}},"/api/v1/auth/refresh-token/":{"post":{"summary":"Acquire new token through a refresh.","description":"Get new access token using refresh token","operationId":"refreshToken","parameters":[{"name":"Content-Type","in":"header","description":"Content Type","required":true,"schema":{"type":"string","enum":["application/x-www-form-urlencoded"]}},{"name":"client_id","in":"header","description":"A valid client ID for the user","required":true,"schema":{"type":"string","example":"admin-cli"}},{"name":"grant_type","in":"header","description":"Grant type","required":true,"schema":{"type":"string","enum":["refresh_token"]}},{"name":"refresh_token","in":"header","description":"Previously provided refresh token from authenticate API","required":true,"schema":{"type":"string","example":"<some refresh token>"}}],"responses":{"500":{"description":"Server error responses","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Internal Error":{"description":"Internal error","value":{"status_code":1002,"status_message":"internal_error"}},"Service Unavailable":{"value":{"status_message":"Service unavailable","status_code":3018}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Authentication Token":{"value":{"status_message":"Authentication credentials were not provided.","status_code":3014}},"Unauthorized":{"description":"Source IP has not been authorized to use this service","value":{"status_code":3020,"status_message":"Unathorised"}}}}}},"200":{"description":"Request successful","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Success":{"description":"A successful request","value":{"access_token":"<access token>","expires_in":300,"issued_at":"2022-02-28T16:28:00:55","token_type":"bearer","session_state":"ba9a09ff-122b-4bdd-b585-886e407a1299","status_message":"approved","status_code":0}}}}}}}}},"/api/v1/subscriber/products/":{"get":{"summary":"Subscriber’s qualified products.","description":"This request checks the subscriber’s qualification and returns a list of qualified products for borrowing.","operationId":"checkQualification","parameters":[{"name":"Authorization","in":"header","description":"Access token from authenticate API","required":true,"schema":{"type":"string","example":"Bearer <access-token>"}},{"name":"request_id","in":"query","description":"A bigint representing a unique transaction id","required":true,"schema":{"type":"integer","example":767190172621}},{"name":"customer_id","in":"query","description":"Customer ID (MSISDN, account number, etc)","required":true,"schema":{"type":"string","example":"254710257423"}},{"name":"req_source","in":"query","description":"Channel initiating request","required":true,"schema":{"type":"array","default":"ussd","items":{"$ref":"#/components/schemas/RequestSources"}}},{"name":"product_type","in":"query","description":"Product type being requested","required":true,"schema":{"type":"array","default":"electricity","items":{"$ref":"#/components/schemas/ProductTypes"}}},{"name":"meter_no","in":"query","description":"Meter Number of customer if the product_type is electricity","required":false,"schema":{"type":"string","example":"1233211231"}}],"responses":{"500":{"description":"Server error responses","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Service Unavailable":{"value":{"status_message":"Service unavailable","status_code":3020}},"Internal Error":{"description":"An internal error occurred during processing, e.g DB connection or proc doesn’t exist. Contact LendTech to assist in resolving this type of error - usually this doesn't happen","value":{"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":1002,"status_message":"internal_error"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Authentication Token":{"value":{"status_message":"Authentication credentials were not provided.","status_code":3014}},"Unauthorized":{"description":"Source IP has not been authorized to use this service","value":{"status_code":3020,"status_message":"Unathorised"}}}}}},"400":{"description":"Client error responses","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Originator conversation ID repeats":{"value":{"response_time":"2022-02-28T19:10:00:00","status_message":"Conversation_id is duplicated.","status_code":3000}},"Invalid subscriber number":{"description":"Subscriber number has invalid format","value":{"response_time":"2022-02-28T19:10:00:00","status_message":"invalid_customer_id","status_code":3010}},"Missing Parameters":{"description":"One of the key parameters for processing request is missing","value":{"response_time":"2022-02-28T19:10:00:00","status_message":"missing_param","status_code":3011}},"Not Eligible":{"value":{"request_id":1234,"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_message":"not_eligible","status_code":3004}},"Has No Balance":{"description":"The subscribe is qualified but has maxed out their eligible amount and are debtors","value":{"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_message":"has_loan_balance","status_code":3003}},"Not Qualified - Electricity":{"description":"Airtime request. The subscriber is not qualified to borrow from ACS because he/she does not meet the age on network.","value":{"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_message":"not_qualified","status_code":3094}},"Has Queued Request":{"description":"The subscriber already has a loan request that is currently being processed","value":{"subscriber":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_message":"has_queued_request","status_code":3005}},"Qualified but has reached maximum lendable amount for any product_type":{"description":"Subscriber MCL has been breached","value":{"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":3021,"status_message":"has_loan_balance","currency":"ZAR","loan_balance":1000}}}}}},"200":{"description":"Sucessful request","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Success - Electricity":{"description":"Airtime request. A list of airtime denoms that a subscriber is qualified for is returned.","value":{"request_id":1234,"customer_id":923014694111,"status_code":0,"response_time":"2022-02-28T19:10:00:00","status_message":"success","currency":"ZAR","denoms":[{"amount":4400,"sub_loan_fee":100,"sub_loans":4,"principal":4000},{"amount":3300,"sub_loan_fee":100,"sub_loans":3,"principal":3000}]}}}}}}}}},"/api/v1/subscriber/advance/":{"post":{"summary":"Create advance [undisbursed loan]","description":"If a subscriber is qualified and has selected a valid denomination, a request is sent to create the undisbursed loan. Request format - This is a post request without GET parameters. All params are passed through the body. <br/><br/> To generate sample code for implementation, see the \"try it out\" section","operationId":"advanceCredit","parameters":[{"name":"Authorization","in":"header","description":"Access token from authenticate API","required":true,"schema":{"type":"string","example":"Bearer <access-token>"}},{"name":"request_id","in":"query","description":"An integer representing a unique transaction id","required":true,"schema":{"type":"integer","example":1234}},{"name":"customer_id","in":"query","description":"Customer ID (MSISDN, account number, etc)","required":true,"schema":{"type":"string","example":"00923014694111"}},{"name":"meter_no","in":"query","description":"Meter Number of customer","required":false,"schema":{"type":"string","example":"1233211231"}},{"name":"amount","in":"query","description":"The cost of the denom in cents","required":true,"schema":{"type":"string","example":"1000"}},{"name":"req_source","in":"query","description":"Request channel initiated","required":true,"schema":{"type":"array","default":"ussd","items":{"$ref":"#/components/schemas/RequestSources"}}},{"name":"product_type","in":"query","description":"Specify the loan type [Bundle, airtime, electricity, data, all]","required":true,"schema":{"type":"array","default":"electricity","items":{"$ref":"#/components/schemas/ProductTypes"}}}],"responses":{"500":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Internal Error":{"description":"An internal error occurred during processing, e.g DB connection or proc doesn’t exist. Contact LendTech to assist in resolving this type of error - usually this doesn't happen","value":{"response_time":"2022-02-28T19:10:00:00","status_code":1002,"status_message":"System internal error"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Authentication Token":{"value":{"status_message":"Authentication credentials were not provided.","status_code":3014}},"Unauthorized":{"description":"Source IP has not been authorized to use this service","value":{"status_code":3020,"status_message":"Unathorised"}}}}}},"400":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Not Eligible":{"value":{"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_message":"Customer is not eligible","status_code":3004}},"Has Loan Balance":{"description":"The subscribe is qualified but has maxed out their eligible amount and are debtors","value":{"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":3003,"status_message":"has_loan_balance"}},"Has Queued Request":{"description":"The subscriber already has a loan request that is currently being processed","value":{"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":3005,"status_message":"has_queued_request"}},"Qualified but has reached maximum lendable amount":{"description":"Subscriber MCL has been breached","value":{"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":3021,"status_message":"Max credit limit is breached","loan_balance":2000,"currency":"ZAR"}}}}}},"200":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Success":{"description":"Loan Request was successful - undisbursed loan created","value":{"loan_id":2123221,"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_message":"loan_created","status_code":0,"loan_balance":150,"currency":"ZAR","request_id":324}}}}}}}}},"/api/v1/subscriber/lending/":{"post":{"summary":"Provision Credit [Confirm loan]","description":"If advance electricity and airtime has been credited to customer, this API will be invoked to confirm the loan - This is a post request without GET parameters. All params are passed through the body. <br/><br/> To generate sample code for implementation, see the \"try it out\" section","operationId":"confirmLoan","parameters":[{"name":"Authorization","in":"header","description":"Access token from authenticate API","required":true,"schema":{"type":"string","example":"Bearer <access-token>"}},{"name":"request_id","in":"query","description":"An integer representing a unique transaction/request id","required":true,"schema":{"type":"integer","example":1234}},{"name":"customer_id","in":"query","description":"Customer ID (MSISDN, account number, etc)","required":true,"schema":{"type":"string","example":"00923014694111"}},{"name":"account_id","in":"query","description":"Meter Number of customer","required":false,"schema":{"type":"string","example":"1233211231"}},{"name":"req_source","in":"query","description":"Request channel initiated","required":true,"schema":{"type":"array","default":"ussd","items":{"$ref":"#/components/schemas/RequestSources"}}},{"name":"loan_id","in":"query","description":"Enter id which was returned in response of doAdvance API","required":true,"schema":{"type":"string","example":"221231"}}],"responses":{"500":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Internal Error":{"description":"An internal error occurred during processing, e.g DB connection or proc doesn’t exist. Contact LendTech to assist in resolving this type of error - usually this doesn't happen","value":{"response_time":"2022-02-28T19:10:00:00","status_code":1002,"status_message":"System internal error"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Authentication Token":{"value":{"status_message":"Authentication credentials were not provided.","status_code":3014}},"Unauthorized":{"description":"Source IP has not been authorized to use this service","value":{"status_code":3020,"status_message":"Unathorised"}}}}}},"400":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Has Loan Balance":{"description":"The subscribe is qualified but has maxed out their eligible amount and are debtors","value":{"request_id":1234,"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":3003,"status_message":"has_loan_balance"}},"Has Queued Request":{"description":"The subscriber already has a loan request that is currently being processed","value":{"request_id":1234,"originator_conversation_id":1234,"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":3005,"status_message":"has_queued_request"}},"Qualified but has reached maximum lendable amount":{"description":"Subscriber MCL has been breached","value":{"request_id":1234,"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":3021,"status_message":"Max credit limit is breached","loan_balance":1000,"currency":"ZAR"}},"Loan ID doesn't exist":{"value":{"request_id":1234,"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_message":"Loan ID provided in request doesn't exist","status_code":3012,"loan_balance":1000,"currency":"ZAR","loan_id":221231,"product_type":"electricity"}}}}}},"200":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Success":{"description":"Loan Request was successful - loan is confirmed now","value":{"request_id":1234,"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_message":"loan_created","status_code":0,"loan_balance":1000,"currency":"ZAR","loan_id":221231,"product_type":"electricity"}}}}}}}}},"/api/v1/subscriber/balance/":{"get":{"summary":"Subscriber Balance","description":"This API point will enable a subscriber who wants to know their current outstanding loan amount and this API also returns the amount which needs to be paid and it also returns the service fee as well","operationId":"getBalance","parameters":[{"name":"Authorization","in":"header","description":"Access token from authenticate API","required":true,"schema":{"type":"string","example":"Bearer <access-token>"}},{"name":"request_id","in":"query","description":"An integer representing a unique transaction/request id","required":true,"schema":{"type":"integer","example":1234}},{"name":"customer_id","in":"query","description":"Customer ID (MSISDN, account number, etc)","required":true,"schema":{"type":"string","example":"00923014694111"}},{"name":"account_id","in":"query","description":"Meter Number of customer","required":false,"schema":{"type":"string","example":"1233211231"}},{"name":"req_source","in":"query","description":"Request channel initiated","required":true,"schema":{"type":"array","default":"ussd","items":{"$ref":"#/components/schemas/RequestSources"}}},{"name":"product_type","in":"query","description":"Specify the loan type [Bundle, airtime, electricity, data, all]","required":false,"schema":{"type":"array","default":"electricity","items":{"$ref":"#/components/schemas/ProductTypes"}}}],"responses":{"500":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Internal Error":{"description":"An internal error occurred during processing.","value":{"status_code":1002,"status_message":"internal error"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Authentication Token":{"value":{"status_message":"Authentication credentials were not provided.","status_code":3014}},"Unauthorized":{"description":"Source IP has not been authorized to use this service","value":{"status_code":3020,"status_message":"Unathorised"}}}}}},"400":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Missing Parameters":{"description":"There are some parameters that are missing in the request e.g. if the ‘service’ parameter is missing","value":{"status_code":3011,"status_message":"missing parameters"}}}}}},"200":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Success":{"description":"getBalance request was successful","value":{"request_id":1234,"customer_id":923014694111,"response_time":"2022-02-28T19:10:00:00","status_code":0,"status_message":"Success","loan_count":5,"balance":{"amount":3300,"fee":300,"principal":3000},"currency":"ZAR","product_type":"electricity"}},"Not a Debtor":{"description":"Subscriber doesn't have active loan","value":{"request_id":1234,"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":3006,"status_message":"Subscriber doesn't have Active loan"}}}}}}}}},"/api/v1/loan/repayment/":{"post":{"summary":"Subscriber Loan Repayment","description":"This service enables partner to recover loan from the customer and update in Lendtech system","operationId":"repayLoan","parameters":[{"name":"Authorization","in":"header","description":"Access token from authenticate API","required":true,"schema":{"type":"string","example":"Bearer <access-token>"}},{"name":"request_id","in":"query","description":"An integer representing a unique transaction id","required":true,"schema":{"type":"integer","example":1234}},{"name":"customer_id","in":"query","description":"Customer ID (MSISDN, acount number, etc)","required":true,"schema":{"type":"string","example":"00923014694111"}},{"name":"account_id","in":"query","description":"Meter Number of customer","required":false,"schema":{"type":"string","example":"1233211231"}},{"name":"req_source","in":"query","description":"Request channel initiated","required":true,"schema":{"type":"array","default":"ussd","items":{"$ref":"#/components/schemas/RequestSources"}}},{"name":"loan_id","in":"query","description":"Enter id which was returned in lending API response","required":true,"schema":{"type":"string","example":"221231"}},{"name":"total_recovered_amount","in":"query","description":"Amount which is recovered  from customer","required":true,"schema":{"type":"string","example":"1000"}}],"responses":{"500":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Internal Error":{"description":"An internal error occurred during processing.","value":{"status_code":1002,"status_message":"internal error"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Authentication Token":{"value":{"status_message":"Authentication credentials were not provided.","status_code":3014}},"Unauthorized":{"description":"Source IP has not been authorized to use this service","value":{"status_code":3020,"status_message":"Unathorised"}}}}}},"400":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"DND Enlisted Subscriber":{"description":"The subscriber is listed on the Do Not Disturb list","value":{"status_code":11,"status_message":"dnd_enlisted_susbcriber"}},"Missing Parameters":{"description":"There are some parameters that are missing in the request e.g. if the ‘service’ parameter is missing","value":{"status_code":3011,"status_message":"missing parameters"}}}}}},"200":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Success":{"description":"This will indicate the loan amount has been recovered successfully","value":{"request_id":1234,"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":0,"status_message":"Success","product_type":"electricity","transaction_id":423232244443,"loan_id":12312312,"loan_balance":80000,"service_fee":8000,"recovered_amount":10000,"currency":"ZAR"}},"Not a Debtor":{"description":"Subscriber doesn't have active loan","value":{"request_id":1234,"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":3006,"status_message":"Subscriber doesn't have Active loan"}}}}}}}}},"/api/v1/loan/statement/":{"get":{"summary":"Subscriber Loan Statement","description":"Enables subscriber to get their loan statement","operationId":"loanStatement","parameters":[{"name":"Authorization","in":"header","description":"Access token from authenticate API","required":true,"schema":{"type":"string","example":"Bearer <access-token>"}},{"name":"request_id","in":"query","description":"An integer representing a unique transaction id","required":true,"schema":{"type":"integer","example":1234}},{"name":"customer_id","in":"query","description":"Customer ID (MSISDN, account number, etc)","required":true,"schema":{"type":"string","example":"00923014694111"}},{"name":"account_id","in":"query","description":"Meter Number of customer","required":false,"schema":{"type":"string","example":"1233211231"}},{"name":"req_source","in":"query","description":"Request channel initiated","required":true,"schema":{"type":"array","default":"ussd","items":{"$ref":"#/components/schemas/RequestSources"}}}],"responses":{"500":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Internal Error":{"description":"Internal server error","value":{"status_code":1002,"status_message":"internal error"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Authentication Token":{"value":{"status_message":"Authentication credentials were not provided.","status_code":3014}},"Unauthorized":{"description":"Source IP has not been authorized to use this service","value":{"status_code":3020,"status_message":"Unathorised"}}}}}},"400":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"$ref":"#"},"examples":{"Missing Parameters":{"description":"Missing key parameters in the request","value":{"status_code":3011,"status_message":"missing parameters"}}}}}},"200":{"description":"Render responses for the API. All specific responses are encoded within a HTTP 200 code","content":{"application/json":{"schema":{"type":"object"},"examples":{"Success":{"description":"Success in getting loan statement","value":{"request_id":1234,"customer_id":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":0,"status_message":"Success","loans":[{"loan_time":"<time>","amount":"<amt>","currency":"ZAR","tran_type":"values = [loan, repayment]","repay-time":"2022-02-28T19:10:00:00","status":"PAID","product_type":"electricity"}]}},"No History Exist":{"value":{"correlation_id":1234,"subscriber":"00923014694111","response_time":"2022-02-28T19:10:00:00","status_code":0,"message":"Success","loans":[]}}}}}}}}}},"components":{"schemas":{"DefaultCurrecy":{"type":"string","default":"ZAR"},"RequestSources":{"type":"string","enum":["ussd","web","mobile_app","ivr","sms"]},"ProductTypes":{"type":"string","enum":["airtime","data","bundle","electricity","voice"]},"HttpStatusCode":{"type":"object","properties":{"code":{"type":"number","example":200},"error_message":{"type":"string","example":"OK"}}}}}}